com.pixelmed.scpecg

## Class DefaultHuffmanTable

- java.lang.Object
- - com.pixelmed.scpecg.HuffmanTable
  - - com.pixelmed.scpecg.DefaultHuffmanTable

    public class DefaultHuffmanTable
    extends HuffmanTable

A class for constructing the default Huffman Table specified in the SCP-ECG standard.

See Also:
  `HuffmanTable`, `HuffmanDecoder`

### Field Summary

### Fields inherited from class com.pixelmed.scpecg.HuffmanTable

`baseCode, baseValueRepresentedByBaseCode, numberOfBitsInEntireCode, numberOfBitsInPrefix, numberOfCodeStructuresInTable, tableModeSwitch`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHuffmanTable()` Construct a default Huffman Table.

### Method Summary

### Methods inherited from class com.pixelmed.scpecg.HuffmanTable

`getBaseCode, getBaseValueRepresentedByBaseCode, getNumberOfBitsInEntireCode, getNumberOfBitsInPrefix, getNumberOfCodeStructuresInTable, getTableModeSwitch, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultHuffmanTable

    public DefaultHuffmanTable()

Construct a default Huffman Table.